FORMAX DEVELOPER API
  1. PPI Fund Transfer API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. PPI Fund Transfer API

Fund Transfer Generate OTP

POST
https://api.formaxpay.com/api/ppi_dmt/fund_transfer/generate_otp
This API is used to initiate a fund transfer by generating an OTP for the sender. When a user wants to transfer money to a beneficiary, they provide their mobile number, beneficiary details, and the transfer amount. The system sends a One-Time Password (OTP) to the user’s mobile number to verify the transaction. The returned token must be used in the subsequent Fund Transfer Verify OTP API to validate the OTP and complete the money transfer securely.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/ppi_dmt/fund_transfer/generate_otp' \
--header 'Authorization: Basic M2U4czlqZ0F4VTNadmczeGZTa3NxbWVjTjVyTHdxYlg6NUFrcEB3Ti1UbH5tRUo5' \
--header 'x-wallet-token: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJJZGVudGlmaWNhdGlvbkNvZGUiOiJtbXZ0bmRZalFGMVlLMzNvbHRwM3NBPT0iLCJCQ0FnZW50SWQiOiJmU2hvN0grMGcrYz0iLCJleHAiOjE3NjY0Nzg0MjYsImlzcyI6IlBheVBvaW50IiwiYXVkIjoiUGFydG5lcnMifQ.4yDiui6jcXBw3NjhSNn9mkiDuxOjbEOeEbjHtiG4chA' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mobile_number": "9836993732",
    "beneficiary_id": "3585778",
    "account_number": "55550101241295",
    "ifsc_code": "FDRL0005555",
    "amount": "100"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "OTP sent successfully on your mobile no 9836993732.",
    "data": {
        "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtb2JpbGVfbnVtYmVyIjoiOTgzNjk5MzczMiIsImJlbmVmaWNpYXJ5X2lkIjoiMzU4NTc3OCIsImFjY291bnRfbnVtYmVyIjoiNTU1NTAxMDEyNDEyOTUiLCJpZnNjX2NvZGUiOiJGRFJMMDAwNTU1NSIsImFtb3VudCI6IjEwMCIsIm90cF90b2tlbiI6Im1tdnRuZFlqUUYxQXI1MTVyb09LbEpXSkpiK2NCN29oSnR2NjRLdzBKZ29JRmcyM1RHaEN1bzVaNFBrU3YzVlk2bnZxL0xTbjUxRT0iLCJpYXQiOjE3NjY0NzY1NjAsImV4cCI6MTc2NjQ4MDE2MH0.yL9q6S5ijNEcbvxcRlPYAL_GEJYwwzQqLoTXok6lRI4"
    }
}
Modified at 2025-12-24 16:41:04
Previous
Validate Delete Beneficiary
Next
Fund Transfer Verify OTP
Built with